# Class CIM_CommMechanismForObjectManagerAdapter
extends CIM_Dependency

CommMechanismForObjectManagerAdapter is deprecated. See CIM_WBEMServer, CIM_ProtocolService and CIM_WBEMProtocolServiceCapabilties for describing WBEM Protocols CommMechanismForObjectManagerAdapter is an association between an ObjectManager's communication mechanism and a ObjectManagerAdapter that supports that mechanism to translate requests and responses for the Object Manager.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_CommMechanismForObjectManagerAdapter

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ProtocolService, CIM_WBEMProtocolServiceCapabilities

Description

string

CommMechanismForObjectManagerAdapter is deprecated. See CIM_WBEMServer, CIM_ProtocolService and CIM_WBEMProtocolServiceCapabilties for describing WBEM Protocols CommMechanismForObjectManagerAdapter is an association between an ObjectManager's communication mechanism and a ObjectManagerAdapter that supports that mechanism to translate requests and responses for the Object Manager.

UMLPackagePath | string | CIM::Interop
Version | string | 2.39.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_CommMechanismForObjectManagerAdapter | CIM_ObjectManagerAdapter
Dependent | CIM_CommMechanismForObjectManagerAdapter | CIM_ObjectManagerCommunicationMechanism

## Class Methods